package com.ghy.payment.mapper;

import com.ghy.payment.domain.PaymentRelation;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PaymentRelationMapper {

    int insert(PaymentRelation record);

    List<PaymentRelation> select(@Param("paymentId") String paymentId,
                                 @Param("relationId") Long relationId,
                                 @Param("relationIdType") String relationIdType);

    List<PaymentRelation> selectByPaymentId(String paymentId);

}
